Loading...
Searching...
No Matches
ilu.hh File Reference

The incomplete LU factorization kernels. More...

`#include <sstream>`
`#include <cmath>`
`#include <complex>`
`#include <map>`
`#include <vector>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/scalarvectorview.hh>`
`#include <dune/common/scalarmatrixview.hh>`
`#include "istlexception.hh"`

Go to the source code of this file.

## Classes

struct | Dune::ILU::CRS< B, Alloc >
| a simple compressed row storage matrix class More...

## Namespaces

namespace | Dune
namespace | Dune::ILU

## Functions

template<class M>
void | Dune::ILU::blockILU0Decomposition (M &A)
| compute ILU decomposition of A. A is overwritten by its decomposition
template<class M, class X, class Y>
void | Dune::ILU::blockILUBacksolve (const M &A, X &v, const Y &d)
| LU backsolve with stored inverse.
template<class M>
M::field_type & | Dune::ILU::firstMatrixElement (M &A, typename std::enable_if_t<!Dune::IsNumber< M >::value > *sfinae=nullptr)
template<class K>
K & | Dune::ILU::firstMatrixElement (K &A, typename std::enable_if_t< Dune::IsNumber< K >::value > *sfinae=nullptr)
template<class K, int n, int m>
K & | Dune::ILU::firstMatrixElement (FieldMatrix< K, n, m > &A)
template<class M>
void | Dune::ILU::blockILUDecomposition (const M &A, int n, M &ILU)
template<class M, class CRS, class InvVector>
void | Dune::ILU::convertToCRS (const M &A, CRS &lower, CRS &upper, InvVector &inv)
| convert ILU decomposition into CRS format for lower and upper triangular and inverse.
template<class CRS, class InvVector, class X, class Y>
void | Dune::ILU::blockILUBacksolve (const CRS &lower, const CRS &upper, const InvVector &inv, X &v, const Y &d)
| LU backsolve with stored inverse in CRS format for lower and upper triangular.

## Detailed Description

The incomplete LU factorization kernels.